weka.gui.sql

## Class DbUtils

- java.lang.Object
- - weka.experiment.DatabaseUtils
  - - weka.gui.sql.DbUtils

- All Implemented Interfaces:
    java.io.Serializable, RevisionHandler

      public class DbUtils
      extends DatabaseUtils

  A little bit extended DatabaseUtils class.
  Version:
    $Revision: 8034 $
  Author:
    FracPete (fracpete at waikato dot ac dot nz)
  See Also:
    `DatabaseUtils`, `DatabaseUtils.execute(String)`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class weka.experiment.DatabaseUtils

      `BOOL, BYTE, DATE, DOUBLE, EXP_INDEX_TABLE, EXP_RESULT_COL, EXP_RESULT_PREFIX, EXP_SETUP_COL, EXP_TYPE_COL, FLOAT, INTEGER, LONG, PROPERTY_FILE, SHORT, STRING, TEXT, TIME, TIMESTAMP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DbUtils()` initializes the object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.sql.Connection` | `getConnection()` returns the current database connection.
    `java.lang.String` | `getRevision()` Returns the revision string.

    - ### Methods inherited from class weka.experiment.DatabaseUtils

      `arrayToString, attributeCaseFix, close, close, connectToDatabase, createExperimentIndex, createExperimentIndexEntry, createResultsTable, databaseURLTipText, debugTipText, disconnectFromDatabase, execute, experimentIndexExists, getDatabaseURL, getDebug, getKeywords, getKeywordsMaskChar, getPassword, getResultFromTable, getResultSet, getResultsTableName, getSupportedCursorScrollType, getUsername, initialize, initialize, isConnected, isCursorScrollable, isCursorScrollSensitive, isKeyword, maskKeyword, passwordTipText, processKeyString, putResultInTable, select, setDatabaseURL, setDebug, setKeywords, setKeywordsMaskChar, setPassword, setUsername, tableExists, translateDBColumnType, typeName, update, usernameTipText`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DbUtils

          public DbUtils()
                  throws java.lang.Exception

      initializes the object.
      Throws:
        `java.lang.Exception` - in case something goes wrong in the init of the DatabaseUtils constructor
      See Also:
        `DatabaseUtils`

  - ### Method Detail

    - #### getConnection

          public java.sql.Connection getConnection()

      returns the current database connection.
      Returns:
        the current connection instance

    - #### getRevision

          public java.lang.String getRevision()

      Returns the revision string.
      Specified by:
        `getRevision` in interface `RevisionHandler`
      Overrides:
        `getRevision` in class `DatabaseUtils`
      Returns:
        the revision